MAC3_BDGCMP(1)

NAME
mac3_bdgcmp - Model-based Analysis for ChIP-Sequencing

DESCRIPTION
usage: macs3 bdgcmp [-h] -t TFILE -c CFILE [-S SFACTOR] [-p PSEUDOCOUNT]

[-m {ppois,qpois,subtract,logFE,FE,logLR,slogLR,max} [{ppois,qpois,subtract,logFE,FE,logLR,slogLR,max} ...]]
    [--verbose VERBOSE] [--outdir OUTDIR] (--o-prefix OPREFIX | -o OFILE [OFILE ...])

  options:

-h, --help
    show this help message and exit

-t, --tfile TFILE
    Treatment bedGraph file, e.g. *_treat_pileup.bdg from MACSv2. REQUIRED

-c, --cfile CFILE
    Control bedGraph file, e.g. *_control_lambda.bdg from MACSv2. REQUIRED

-S, --scaling-factor SFACTOR
    Scaling factor for treatment and control track. Keep it as 1.0 or default in most cases. Set it ONLY while you have SPMR output from MACS3 callpeak, and plan to calculate scores as MACS3 callpeak module. If you want to simulate 'callpeak' w/o '--to-large', calculate effective smaller sample size after filtering redudant reads in million (e.g., put 31.415926 if effective reads are 31,415,926) and input it for '-S'; for 'callpeak --to-large', calculate effective reads in larger sample. DEFAULT: 1.0

-p, --pseudocount PSEUDOCOUNT
    The pseudocount used for calculating logLR, logFE or FE. The count will be applied after normalization of sequencing depth. DEFAULT: 0.0, no pseudocount is applied.

-m, --method {ppois,qpois,subtract,logFE,FE,logLR,slogLR,max} [{ppois,qpois,subtract,logFE,FE,logLR,slogLR,max} ...]
    Method to use while calculating a score in any bin by comparing treatment value and control value. Available choices are: ppois, qpois, subtract, logFE, FE, logLR, slogLR, and max. They represent Poisson Pvalue (-log10(pvalue) form) using control as lambda and treatment as observation, q-value through a BH process for poisson pvalues, subtraction from treatment, linear scale fold enrichment, log10 fold enrichment(need to set pseudocount), log10 likelihood between ChIP-enriched model and open chromatin model(need to set pseudocount), symmetric log10 likelihood between two ChIP-enrichment models, or maximum value between the two tracks. Default option is ppois.

--verbose VERBOSE
    Set verbose level of runtime message. 0: only show critical message, 1: show additional warning message, 2: show process information, 3: show debug messages. DEFAULT:2

--outdir OUTDIR
    If specified all output files will be written to that directory. Default: the current working directory

--o-prefix OPREFIX
    The PREFIX of output bedGraph file to write scores. If it is given as A, and method is 'ppois', output file will be A_ppois.bdg. Mutually exclusive with -o/--ofile.

-o, --ofile OFILE [OFILE ...]
    Output filename. Mutually exclusive with --o-prefix. The number and the order of arguments for --ofile must be the same as for -m.